package com.gaowj.student;

import java.util.Map;

import com.gaowj.business.action.BasicAction;
import com.gaowj.business.exception.BusinessException;
import com.gaowj.business.util.RequestUtils;

public class viewAction extends BasicAction {

	/**
	 * 
	 */
	private static final long serialVersionUID = -5986096180610140300L;
	
	public String studentTab() throws BusinessException{
		return "studentTab";
	}
	
	public String studentTabDetail() throws BusinessException{
		Map<String,Object> query = RequestUtils.getUpdateFieldMapUtf8(request, RequestUtils.UPDATEDATAFIELDPREFIX);
	    request.setAttribute("is_row", query);
		return "studentTabDetail";
	}
	
	public String studentAdvsearch() throws BusinessException{
		Map<String,Object> query = RequestUtils.getUpdateFieldMapUtf8(request, RequestUtils.UPDATEDATAFIELDPREFIX);
	    request.setAttribute("is_row", query);
		return "studentAdvsearch";
	}

}
